%global srcname     gsignond-plugin-oa
%global commit      787e8bc55bbc7c42adb195f593cdd302f35264ac
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate  20171105

%global __provides_exclude_from ^%{_libdir}/gsignond/.*\\.so$

Name:           gsignond-plugin-oauth
Summary:        OAuth plugin for gsignond
Version:        0
Release:        0.1.%{commitdate}.git%{shortcommit}%{?dist}
License:        LGPLv2+

URL:            https://gitlab.com/accounts-sso/%{srcname}
Source0:        %{url}/repository/archive.tar.gz?ref=%{commit}#/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gtk-doc
BuildRequires:  meson

BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gsignond)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)


%description
This plugin for the Accounts-SSO gSignOn daemon handles the OAuth 1.0
and 2.0 authentication protocols.


%package        docs
Summary:        OAuth plugin for gsignond (documentation)
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
%description    docs
This plugin for the Accounts-SSO gSignOn daemon handles the OAuth 1.0
and 2.0 authentication protocols.

This package contains the documentation.


%prep
%autosetup -n %{srcname}-%{commit}-%{commit}


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license COPYING.LIB
%doc README.md

%{_libdir}/gsignond/gplugins/liboauth.so

%files docs
%{_datadir}/gtk-doc/html/%{name}/


%changelog
* Sun Nov 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0-0.1.20171105.git787e8bc
- Initial package

